Package skyview.survey

# Class HipsImage

java.lang.Object
skyview.survey.Image
skyview.survey.HipsImage

All Implemented Interfaces:
  `Serializable`, `Component`

public class HipsImage extends Image
This class defines an image gotten by reading a HEALPix image where the pixels are in the nested pixel order. This assumes the FITS structures found in the WMAP data but could be adapted to other orders as needed.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class skyview.survey.Image

`data`

## Constructor Summary

Constructors
Constructor
Description
`HipsImage(String directory)`
Create a image associated with a HiPS

## Method Summary

Modifier and Type
Method
Description
`double`
`getAllSkyPixel(long npix)`
`double`
`getData(long ipix)`
Defer reading the data until it is asked for.
`double[]`
`getDataArray()`
Probably should happen, but just in case we support the get array function.
`int`
`getDepth()`
Get the number of planes in the image
`int`
`getHeight()`
Get the height of the image
`int`
`getWidth()`
Get the width of the image
`void`
`initialize(double scale)`
`void`
`setData(long npix, double val)`
Support changing the data! Probably won't use this...
`void`
`setOrder(double scale)`
Determine which order to sample at given the limits in the HiPS and the user requested scale.
`double`
`tiledPixel(long npix)`

### Methods inherited from class skyview.survey.Image

`clearData, getBaseImage, getCenter, getCorners, getDescription, getName, getTransformer, getWCS, initialize, isTiled, setAccumulate, setDataArray, setName, valid, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HipsImage

public HipsImage(String directory)
Create a image associated with a HiPS

Parameters:
  `directory` - The base directory for the HiPS

## Method Details

### initialize

public void initialize(double scale) throws TransformationException, IllegalArgumentException, IOException

Throws:
  `TransformationException`
  `IllegalArgumentException`
  `IOException`

### setOrder

public void setOrder(double scale)
Determine which order to sample at given the limits in the HiPS and the user requested scale.

Parameters:
  `scale` - Scale of desired pixels in radians.

### getWidth

public int getWidth()
Description copied from class: `Image`
Get the width of the image

Overrides:
  `getWidth` in class `Image`

### getHeight

public int getHeight()
Description copied from class: `Image`
Get the height of the image

Overrides:
  `getHeight` in class `Image`

### getDepth

public int getDepth()
Description copied from class: `Image`
Get the number of planes in the image

Overrides:
  `getDepth` in class `Image`

### getData

public double getData(long ipix)
Defer reading the data until it is asked for.

Overrides:
  `getData` in class `Image`

### getAllSkyPixel

public double getAllSkyPixel(long npix)

### tiledPixel

public double tiledPixel(long npix)

### getDataArray

public double[] getDataArray()
Probably should happen, but just in case we support the get array function.

Overrides:
  `getDataArray` in class `Image`

### setData

public void setData(long npix, double val)
Support changing the data! Probably won't use this...

Overrides:
  `setData` in class `Image`